v19i057: dmake - dmake version 3.7, Part36/37
Dennis Vadura
dvadura at watdragon.waterloo.edu
Tue May 14 00:54:53 AEST 1991
Submitted-by: Dennis Vadura <dvadura at watdragon.waterloo.edu>
Posting-number: Volume 19, Issue 57
Archive-name: dmake/part36
Supersedes: dmake-3.6: Volume 15, Issue 52-77
---- Cut Here and feed the following to sh ----
#!/bin/sh
# this is dmake.shar.36 (part 36 of a multipart archive)
# do not concatenate these parts, unpack them in order with /bin/sh
# file dmake/unix/sysvr3/config.mk continued
#
if test ! -r _shar_seq_.tmp; then
echo 'Please unpack part 1 first!'
exit 1
fi
(read Scheck
if test "$Scheck" != 36; then
echo Please unpack part "$Scheck" next!
exit 1
else
exit 0
fi
) < _shar_seq_.tmp || exit 1
if test -f _shar_wnt_.tmp; then
sed 's/^X//' << 'SHAR_EOF' >> 'dmake/unix/sysvr3/config.mk' &&
X .INCLUDE .IGNORE : $(osrdir)$(DIRSEPSTR)$(OSENVIRONMENT)$(DIRSEPSTR)config.mk
.END
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/config.mk ||
echo 'restore of dmake/unix/sysvr3/config.mk failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/config.mk'`"
test 750 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/config.mk: original size 750, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/make.sh ==============
if test -f 'dmake/unix/sysvr3/make.sh' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/make.sh (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/make.sh' &&
mkdir objects
cc -c -I. -Iunix -Iunix/sysvr3 -O infer.c
mv infer.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O make.c
mv make.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O stat.c
mv stat.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O expand.c
mv expand.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O dmstring.c
mv dmstring.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O hash.c
mv hash.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O dag.c
mv dag.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O dmake.c
mv dmake.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O path.c
mv path.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O imacs.c
mv imacs.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O sysintf.c
mv sysintf.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O parse.c
mv parse.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O getinp.c
mv getinp.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O quit.c
mv quit.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O state.c
mv state.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O basename.c
mv basename.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O dmdump.c
mv dmdump.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O macparse.c
mv macparse.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O rulparse.c
mv rulparse.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O percent.c
mv percent.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O function.c
mv function.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O unix/arlib.c
mv arlib.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O unix/dirbrk.c
mv dirbrk.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O unix/rmprq.c
mv rmprq.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O unix/ruletab.c
mv ruletab.o objects
cc -c -I. -Iunix -Iunix/sysvr3 -O unix/runargv.c
mv runargv.o objects
cc -o dmake objects/infer.o objects/make.o objects/stat.o objects/expand.o objects/dmstring.o objects/hash.o objects/dag.o objects/dmake.o objects/path.o objects/imacs.o objects/sysintf.o objects/parse.o objects/getinp.o objects/quit.o objects/state.o objects/basename.o objects/dmdump.o objects/macparse.o objects/rulparse.o objects/percent.o objects/function.o objects/arlib.o objects/dirbrk.o objects/rmprq.o objects/ruletab.o objects/runargv.o
cp unix/sysvr3/startup.mk startup.mk
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/make.sh ||
echo 'restore of dmake/unix/sysvr3/make.sh failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/make.sh'`"
test 2153 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/make.sh: original size 2153, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/public.h ==============
if test -f 'dmake/unix/sysvr3/public.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/public.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/public.h' &&
/* RCS -- $Header: /u2/dvadura/src/generic/dmake/src/unix/sysvr3/RCS/public.h,v 1.1 91/05/06 15:28:22 dvadura Exp Locker: dvadura $
-- WARNING -- This file is AUTOMATICALLY GENERATED DO NOT EDIT IT
--
-- SYNOPSIS -- Local functions exported to be visible by others.
--
-- DESCRIPTION
-- This file is generated by 'genpub'. Function declarations
-- that appear in this file are extracted by 'genpub' from
-- source files. Any function in the source file whose definition
-- appears like:
--
-- PUBLIC return_type
-- function( arg_list );
-- type_expr1 arg1;
-- ...
--
-- has its definition extracted and a line of the form:
--
-- return_type function ANSI((type_expr1,type_expr2,...));
--
-- entered into the output file.
--
-- AUTHOR
-- Dennis Vadura, dvadura at watdragon.uwaterloo.ca
-- CS DEPT, University of Waterloo, Waterloo, Ont., Canada
--
-- COPYRIGHT
-- Copyright (c) 1990 by Dennis Vadura. All rights reserved.
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- (version 1), as published by the Free Software Foundation, and
-- found in the file 'LICENSE' included with this distribution.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warrant of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--
-- LOG
-- $Log: public.h,v $
X * Revision 1.1 91/05/06 15:28:22 dvadura
X * dmake Release Version 3.7
X *
*/
X
#ifndef _DMAKE_PUBLIC_h
#define _DMAKE_PUBLIC_h
X
void Infer_recipe ANSI((CELLPTR, CELLPTR));
int Make_targets ANSI(());
int Exec_commands ANSI((CELLPTR));
void Pop_dir ANSI((int));
void Append_line ANSI((char *, int, FILE *, char *, int, int));
void Stat_target ANSI((CELLPTR, int));
char * Expand ANSI((char *));
char * Apply_edit ANSI((char *, char *, char *, int, int));
void Map_esc ANSI((char *));
char* Apply_modifiers ANSI((int, char *));
char* Tokenize ANSI((char *, char *));
char * _strjoin ANSI((char *, char *, int, int));
char * _stradd ANSI((char *, char *, int));
char * _strapp ANSI((char *, char *));
char * _strdup ANSI((char *));
char * _strpbrk ANSI((char *, char *));
char * _strspn ANSI((char *, char *));
char * _strstr ANSI((char *, char *));
char * _substr ANSI((char *, char *));
uint16 Hash ANSI((char *, uint32 *));
HASHPTR Get_name ANSI((char *, HASHPTR *, int));
HASHPTR Search_table ANSI((HASHPTR *, char *, uint16 *, uint32 *));
HASHPTR Def_macro ANSI((char *, char *, int));
CELLPTR Def_cell ANSI((char *));
LINKPTR Add_prerequisite ANSI((CELLPTR, CELLPTR, int, int));
void Clear_prerequisites ANSI((CELLPTR));
int Test_circle ANSI((CELLPTR, int));
STRINGPTR Def_recipe ANSI((char *, STRINGPTR, int, int));
t_attr Rcp_attribute ANSI((char *));
int main ANSI((int, char **));
FILE * Openfile ANSI((char *, int, int));
FILE * Closefile ANSI(());
FILE * Search_file ANSI((char *, char **));
char * Filename ANSI(());
void No_ram ANSI(());
int Usage ANSI((int));
int Version ANSI(());
char * Get_suffix ANSI((char *));
char * Build_path ANSI((char *, char *));
void Make_rules ANSI(());
void Create_macro_vars ANSI(());
time_t Do_stat ANSI((char *, char *, char **));
int Do_touch ANSI((char *, char *, char **));
void Void_lib_cache ANSI((char *, char *));
time_t Do_time ANSI(());
int Do_cmnd ANSI((char *, int, int, CELLPTR, int, int, int));
char ** Pack_argv ANSI((int, int, char *));
char * Read_env_string ANSI((char *));
int Write_env_string ANSI((char *, char *));
void ReadEnvironment ANSI(());
void Catch_signals ANSI((void (*)()));
void Clear_signals ANSI(());
void Prolog ANSI((int, char* []));
void Epilog ANSI((int));
char * Get_current_dir ANSI(());
int Set_dir ANSI((char*));
char Get_switch_char ANSI(());
FILE* Get_temp ANSI((char **, char *, int));
FILE * Start_temp ANSI((char *, CELLPTR, char **));
void Open_temp_error ANSI((char *, char *));
void Link_temp ANSI((CELLPTR, FILE *, char *));
void Close_temp ANSI((CELLPTR, FILE *));
void Unlink_temp_files ANSI((CELLPTR));
void Handle_result ANSI((int, int, int, CELLPTR));
void Update_time_stamp ANSI((CELLPTR));
void Parse ANSI((FILE *));
int Get_line ANSI((char *, FILE *));
char * Do_comment ANSI((char *, char **, int));
char * Get_token ANSI((TKSTRPTR, char *, int));
void Quit ANSI(());
void Read_state ANSI(());
void Write_state ANSI(());
int Check_state ANSI((CELLPTR, STRINGPTR *, int));
char* basename ANSI((char *));
void Dump ANSI(());
void Dump_recipe ANSI((STRINGPTR));
int Parse_macro ANSI((char *, int));
int Macro_op ANSI((char *));
int Parse_rule_def ANSI((int *));
int Rule_op ANSI((char *));
void Add_recipe_to_list ANSI((char *, int, int));
void Bind_rules_to_targets ANSI((int));
int Set_group_attributes ANSI((char *));
DFALINKPTR Match_dfa ANSI((char *));
void Check_circle_dfa ANSI(());
void Add_nfa ANSI((char *));
char * Exec_function ANSI((char *));
time_t seek_arch ANSI((char *, char *));
int If_root_path ANSI((char *));
void Remove_prq ANSI((CELLPTR));
int runargv ANSI((CELLPTR, int, int, int, int, char *));
int Wait_for_child ANSI((int, int));
void Clean_up_processes ANSI(());
X
#endif
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/public.h ||
echo 'restore of dmake/unix/sysvr3/public.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/public.h'`"
test 5522 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/public.h: original size 5522, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/startup.mk ==============
if test -f 'dmake/unix/sysvr3/startup.mk' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/startup.mk (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/startup.mk' &&
# Generic UNIX DMAKE startup file. Customize to suit your needs.
# Should work for both SYSV, and BSD 4.3
# See the documentation for a description of internally defined macros.
#
# Disable warnings for macros redefined here that were given
# on the command line.
__.SILENT := $(.SILENT)
.SILENT := yes
X
# Configuration parameters for DMAKE startup.mk file
# Set these to NON-NULL if you wish to turn the parameter on.
_HAVE_RCS := yes # yes => RCS is installed.
_HAVE_SCCS := yes # yes => SCCS is installed.
X
# Applicable suffix definitions
A := .a # Libraries
E := # Executables
F := .f # Fortran
O := .o # Objects
P := .p # Pascal
S := .s # Assembler sources
V := ,v # RCS suffix
X
# Recipe execution configurations
SHELL := /bin/sh
SHELLFLAGS := -ce
GROUPSHELL := $(SHELL)
GROUPFLAGS :=
SHELLMETAS := |();&<>?*][$$:\\#`'"
GROUPSUFFIX :=
DIVFILE = $(TMPFILE)
X
# Standard C-language command names and flags
X CPP := /lib/cpp # C-preprocessor
X CC := cc # C-compiler and flags
X CFLAGS +=
X
X AS := as # Assembler and flags
X ASFLAGS +=
X
X LD = $(CC) # Loader and flags
X LDFLAGS +=
X LDLIBS =
X
# Definition of $(MAKE) macro for recursive makes.
X MAKE = $(MAKECMD) $(MFLAGS)
X
# Definition of Print command for this system.
X PRINT = lpr
X
# Language and Parser generation Tools and their flags
X YACC := yacc # standard yacc
X YFLAGS +=
X YTAB := y.tab # yacc output files name stem.
X
X LEX := lex # standard lex
X LFLAGS +=
X LEXYY := lex.yy # lex output file
X
# Other Compilers, Tools and their flags
X PC := pc # pascal compiler
X RC := f77 # ratfor compiler
X FC := f77 # fortran compiler
X
X CO := co # check out for RCS
X COFLAGS += -q
X
X AR := ar # archiver
X ARFLAGS+= ruv
X
X RM := /bin/rm # remove a file command
X RMFLAGS +=
X
# Implicit generation rules for making inferences.
# We don't provide .yr or .ye rules here. They're obsolete.
# Rules for making *$O
X %$O : %.c ; $(CC) $(CFLAGS) -c $<
X %$O : %$P ; $(PC) $(PFLAGS) -c $<
X %$O : %$S ; $(AS) $(ASFLAGS) $<
X %$O : %.cl ; class -c $<
X %$O : %.e %.r %.F %$F
X $(FC) $(RFLAGS) $(EFLAGS) $(FFLAGS) -c $<
X
# Executables
X %$E : %$O ; $(LD) $(LDFLAGS) -o $@ $< $(LDLIBES)
X
# lex and yacc rules
X %.c : %.y ; $(YACC) $(YFLAGS) $<; mv $(YTAB).c $@
X %.c : %.l ; $(LEX) $(LFLAGS) $<; mv $(LEXYY).c $@
X
# This rule tells how to make *.out from it's immediate list of prerequisites
# UNIX only.
X %.out :; $(LD) $(LDFLAGS) -o $@ $^ $(LDLIBS)
X
# RCS support
.IF $(_HAVE_RCS)
X % : %$V $$(@:d)RCS/$$(@:f)$V;- $(CO) $(COFLAGS) $@
X .NOINFER : %$V $$(@:d)RCS/$$(@:f)$V
.END
X
# SCCS support
.IF $(_HAVE_SCCS)
X % : s.% ; get $@
X .NOINFER : s.%
.END
X
# Recipe to make archive files.
%$A :
[
X $(AR) $(ARFLAGS) $@ $?
X $(RM) $(RMFLAGS) $?
X ranlib $@
]
X
# DMAKE uses this recipe to remove intermediate targets
.REMOVE :; $(RM) -f $<
X
# AUGMAKE extensions for SYSV compatibility
@B = $(@:b)
@D = $(@:d)
@F = $(@:f)
*B = $(*:b)
*D = $(*:d)
*F = $(*:f)
<B = $(<:b)
<D = $(<:d)
<F = $(<:f)
?B = $(?:b)
?F = $(?:f)
?D = $(?:d)
X
# Turn warnings back to previous setting.
.SILENT := $(__.SILENT)
X
# Local startup file if any
.INCLUDE .IGNORE: "_startup.mk"
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/startup.mk ||
echo 'restore of dmake/unix/sysvr3/startup.mk failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/startup.mk'`"
test 3221 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/startup.mk: original size 3221, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/stdarg.h ==============
if test -f 'dmake/unix/sysvr3/stdarg.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/stdarg.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/stdarg.h' &&
/*
X * stdarg.h
X *
X * defines ANSI style macros for accessing arguments of a function which takes
X * a variable number of arguments
X *
X */
X
#if !defined(__STDARG_H__)
#define __STDARG_H__
X
#if !defined(_VA_LIST_) && !defined(_VA_LIST)
#define _VA_LIST_
#define _VA_LIST
typedef char *va_list;
#endif
X
#define va_dcl int va_alist
#define va_start(ap,v) ap = (va_list)&va_alist
#define va_arg(ap,t) ((t*)(ap += sizeof(t)))[-1]
#define va_end(ap) ap = NULL
#endif
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/stdarg.h ||
echo 'restore of dmake/unix/sysvr3/stdarg.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/stdarg.h'`"
test 469 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/stdarg.h: original size 469, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/stdlib.h ==============
if test -f 'dmake/unix/sysvr3/stdlib.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/stdlib.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/stdlib.h' &&
#ifndef _STDLIB_INCLUDED_
#define _STDLIB_INCLUDED_
X
extern /*GOTO*/ _exit();
extern /*GOTO*/ exit();
extern /*GOTO*/ abort();
extern int system();
extern char *getenv();
extern char *calloc();
extern char *malloc();
extern char *realloc();
X
#ifndef _AIX
/* The AIX compiler dies on illegal redefinition of free */
extern free();
#endif
X
extern int errno;
X
#ifndef EIO
# include <errno.h>
#endif
X
#endif /* _STDLIB_INCLUDED_ */
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/stdlib.h ||
echo 'restore of dmake/unix/sysvr3/stdlib.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/stdlib.h'`"
test 428 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/stdlib.h: original size 428, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr3/time.h ==============
if test -f 'dmake/unix/sysvr3/time.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr3/time.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr3/time.h' &&
/*
** Berkeley get this wrong!
*/
#ifndef TIME_h
#define TIME_h
X
typedef long time_t; /* this is the thing we use */
X
#endif TIME_h
X
SHAR_EOF
chmod 0640 dmake/unix/sysvr3/time.h ||
echo 'restore of dmake/unix/sysvr3/time.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr3/time.h'`"
test 133 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr3/time.h: original size 133, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/config.h ==============
if test ! -d 'dmake/unix/sysvr4'; then
mkdir 'dmake/unix/sysvr4'
fi
if test -f 'dmake/unix/sysvr4/config.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/config.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/config.h' &&
/* RCS -- $Header: /u2/dvadura/src/generic/dmake/src/unix/sysvr4/RCS/config.h,v 1.1 91/05/06 15:28:39 dvadura Exp $
-- SYNOPSIS -- Configurarion include file.
--
-- DESCRIPTION
-- There is one of these for each specific machine configuration.
-- It can be used to further tweek the machine specific sources
-- so that they compile.
--
-- AUTHOR
-- Dennis Vadura, dvadura at watdragon.uwaterloo.ca
-- CS DEPT, University of Waterloo, Waterloo, Ont., Canada
--
-- COPYRIGHT
-- Copyright (c) 1990 by Dennis Vadura. All rights reserved.
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- (version 1), as published by the Free Software Foundation, and
-- found in the file 'LICENSE' included with this distribution.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warrant of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--
-- LOG
-- $Log: config.h,v $
X * Revision 1.1 91/05/06 15:28:39 dvadura
X * dmake Release Version 3.7
X *
*/
#define _TYPES_
X
/* define this for configurations that don't have the coreleft function
X * so that the code compiles. To my knowledge coreleft exists only on
X * Turbo C, but it is needed here since the function is used in many debug
X * macros. */
#define coreleft() 0L
X
/* Define the getcwd function that is used in the code, since BSD does
X * not have getcwd, but call it getwd instead. */
extern char *getcwd ANSI((char *, int));
X
/* Define setvbuf, SysV doesn't have one */
#define setvbuf(fp, bp, type, len) setbuf( fp, NULL );
X
/* We don't care about CONST */
#define CONST
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/config.h ||
echo 'restore of dmake/unix/sysvr4/config.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/config.h'`"
test 2015 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/config.h: original size 2015, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/config.mk ==============
if test -f 'dmake/unix/sysvr4/config.mk' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/config.mk (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/config.mk' &&
# This is the SysV R4 UNIX configuration file for DMAKE
# It simply modifies the values of SRC, and checks to see if
# OSENVIRONMENT is defined. If so it includes the appropriate
# config.mk file.
#
# It also sets the values of .SOURCE.c and .SOURCE.h to include the local
# directory.
#
osrdir := $(OS)$(DIRSEPSTR)$(OSRELEASE)
X
# The following are required sources
OSDSRC :=
.IF $(OSDSRC)
X SRC += $(OSDSRC)
X .SETDIR=$(osrdir) : $(OSDSRC)
.END
X
.SOURCE.h : $(osrdir)
X
# Local configuration modifications for CFLAGS, there's local SysV includes
# too.
CFLAGS += -I$(osrdir)
X
# See if we modify anything in the lower levels.
.IF $(OSENVIRONMENT) != $(NULL)
X .INCLUDE .IGNORE : $(osrdir)$(DIRSEPSTR)$(OSENVIRONMENT)$(DIRSEPSTR)config.mk
.END
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/config.mk ||
echo 'restore of dmake/unix/sysvr4/config.mk failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/config.mk'`"
test 750 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/config.mk: original size 750, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/make.sh ==============
if test -f 'dmake/unix/sysvr4/make.sh' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/make.sh (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/make.sh' &&
mkdir objects
cc -c -I. -Iunix -Iunix/sysvr4 -O infer.c
mv infer.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O make.c
mv make.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O stat.c
mv stat.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O expand.c
mv expand.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O dmstring.c
mv dmstring.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O hash.c
mv hash.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O dag.c
mv dag.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O dmake.c
mv dmake.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O path.c
mv path.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O imacs.c
mv imacs.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O sysintf.c
mv sysintf.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O parse.c
mv parse.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O getinp.c
mv getinp.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O quit.c
mv quit.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O state.c
mv state.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O basename.c
mv basename.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O dmdump.c
mv dmdump.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O macparse.c
mv macparse.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O rulparse.c
mv rulparse.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O percent.c
mv percent.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O function.c
mv function.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O unix/arlib.c
mv arlib.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O unix/dirbrk.c
mv dirbrk.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O unix/rmprq.c
mv rmprq.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O unix/ruletab.c
mv ruletab.o objects
cc -c -I. -Iunix -Iunix/sysvr4 -O unix/runargv.c
mv runargv.o objects
cc -o dmake objects/infer.o objects/make.o objects/stat.o objects/expand.o objects/dmstring.o objects/hash.o objects/dag.o objects/dmake.o objects/path.o objects/imacs.o objects/sysintf.o objects/parse.o objects/getinp.o objects/quit.o objects/state.o objects/basename.o objects/dmdump.o objects/macparse.o objects/rulparse.o objects/percent.o objects/function.o objects/arlib.o objects/dirbrk.o objects/rmprq.o objects/ruletab.o objects/runargv.o
cp unix/sysvr4/startup.mk startup.mk
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/make.sh ||
echo 'restore of dmake/unix/sysvr4/make.sh failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/make.sh'`"
test 2153 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/make.sh: original size 2153, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/public.h ==============
if test -f 'dmake/unix/sysvr4/public.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/public.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/public.h' &&
/* RCS -- $Header: /u2/dvadura/src/generic/dmake/src/unix/sysvr4/RCS/public.h,v 1.1 91/05/06 15:28:41 dvadura Exp Locker: dvadura $
-- WARNING -- This file is AUTOMATICALLY GENERATED DO NOT EDIT IT
--
-- SYNOPSIS -- Local functions exported to be visible by others.
--
-- DESCRIPTION
-- This file is generated by 'genpub'. Function declarations
-- that appear in this file are extracted by 'genpub' from
-- source files. Any function in the source file whose definition
-- appears like:
--
-- PUBLIC return_type
-- function( arg_list );
-- type_expr1 arg1;
-- ...
--
-- has its definition extracted and a line of the form:
--
-- return_type function ANSI((type_expr1,type_expr2,...));
--
-- entered into the output file.
--
-- AUTHOR
-- Dennis Vadura, dvadura at watdragon.uwaterloo.ca
-- CS DEPT, University of Waterloo, Waterloo, Ont., Canada
--
-- COPYRIGHT
-- Copyright (c) 1990 by Dennis Vadura. All rights reserved.
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- (version 1), as published by the Free Software Foundation, and
-- found in the file 'LICENSE' included with this distribution.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warrant of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--
-- LOG
-- $Log: public.h,v $
X * Revision 1.1 91/05/06 15:28:41 dvadura
X * dmake Release Version 3.7
X *
*/
X
#ifndef _DMAKE_PUBLIC_h
#define _DMAKE_PUBLIC_h
X
void Infer_recipe ANSI((CELLPTR, CELLPTR));
int Make_targets ANSI(());
int Exec_commands ANSI((CELLPTR));
void Pop_dir ANSI((int));
void Append_line ANSI((char *, int, FILE *, char *, int, int));
void Stat_target ANSI((CELLPTR, int));
char * Expand ANSI((char *));
char * Apply_edit ANSI((char *, char *, char *, int, int));
void Map_esc ANSI((char *));
char* Apply_modifiers ANSI((int, char *));
char* Tokenize ANSI((char *, char *));
char * _strjoin ANSI((char *, char *, int, int));
char * _stradd ANSI((char *, char *, int));
char * _strapp ANSI((char *, char *));
char * _strdup ANSI((char *));
char * _strpbrk ANSI((char *, char *));
char * _strspn ANSI((char *, char *));
char * _strstr ANSI((char *, char *));
char * _substr ANSI((char *, char *));
uint16 Hash ANSI((char *, uint32 *));
HASHPTR Get_name ANSI((char *, HASHPTR *, int));
HASHPTR Search_table ANSI((HASHPTR *, char *, uint16 *, uint32 *));
HASHPTR Def_macro ANSI((char *, char *, int));
CELLPTR Def_cell ANSI((char *));
LINKPTR Add_prerequisite ANSI((CELLPTR, CELLPTR, int, int));
void Clear_prerequisites ANSI((CELLPTR));
int Test_circle ANSI((CELLPTR, int));
STRINGPTR Def_recipe ANSI((char *, STRINGPTR, int, int));
t_attr Rcp_attribute ANSI((char *));
int main ANSI((int, char **));
FILE * Openfile ANSI((char *, int, int));
FILE * Closefile ANSI(());
FILE * Search_file ANSI((char *, char **));
char * Filename ANSI(());
void No_ram ANSI(());
int Usage ANSI((int));
int Version ANSI(());
char * Get_suffix ANSI((char *));
char * Build_path ANSI((char *, char *));
void Make_rules ANSI(());
void Create_macro_vars ANSI(());
time_t Do_stat ANSI((char *, char *, char **));
int Do_touch ANSI((char *, char *, char **));
void Void_lib_cache ANSI((char *, char *));
time_t Do_time ANSI(());
int Do_cmnd ANSI((char *, int, int, CELLPTR, int, int, int));
char ** Pack_argv ANSI((int, int, char *));
char * Read_env_string ANSI((char *));
int Write_env_string ANSI((char *, char *));
void ReadEnvironment ANSI(());
void Catch_signals ANSI((void (*)()));
void Clear_signals ANSI(());
void Prolog ANSI((int, char* []));
void Epilog ANSI((int));
char * Get_current_dir ANSI(());
int Set_dir ANSI((char*));
char Get_switch_char ANSI(());
FILE* Get_temp ANSI((char **, char *, int));
FILE * Start_temp ANSI((char *, CELLPTR, char **));
void Open_temp_error ANSI((char *, char *));
void Link_temp ANSI((CELLPTR, FILE *, char *));
void Close_temp ANSI((CELLPTR, FILE *));
void Unlink_temp_files ANSI((CELLPTR));
void Handle_result ANSI((int, int, int, CELLPTR));
void Update_time_stamp ANSI((CELLPTR));
void Parse ANSI((FILE *));
int Get_line ANSI((char *, FILE *));
char * Do_comment ANSI((char *, char **, int));
char * Get_token ANSI((TKSTRPTR, char *, int));
void Quit ANSI(());
void Read_state ANSI(());
void Write_state ANSI(());
int Check_state ANSI((CELLPTR, STRINGPTR *, int));
char* basename ANSI((char *));
void Dump ANSI(());
void Dump_recipe ANSI((STRINGPTR));
int Parse_macro ANSI((char *, int));
int Macro_op ANSI((char *));
int Parse_rule_def ANSI((int *));
int Rule_op ANSI((char *));
void Add_recipe_to_list ANSI((char *, int, int));
void Bind_rules_to_targets ANSI((int));
int Set_group_attributes ANSI((char *));
DFALINKPTR Match_dfa ANSI((char *));
void Check_circle_dfa ANSI(());
void Add_nfa ANSI((char *));
char * Exec_function ANSI((char *));
time_t seek_arch ANSI((char *, char *));
int If_root_path ANSI((char *));
void Remove_prq ANSI((CELLPTR));
int runargv ANSI((CELLPTR, int, int, int, int, char *));
int Wait_for_child ANSI((int, int));
void Clean_up_processes ANSI(());
X
#endif
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/public.h ||
echo 'restore of dmake/unix/sysvr4/public.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/public.h'`"
test 5522 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/public.h: original size 5522, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/startup.mk ==============
if test -f 'dmake/unix/sysvr4/startup.mk' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/startup.mk (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/startup.mk' &&
# Generic UNIX DMAKE startup file. Customize to suit your needs.
# Should work for both SYSV, and BSD 4.3
# See the documentation for a description of internally defined macros.
#
# Disable warnings for macros redefined here that were given
# on the command line.
__.SILENT := $(.SILENT)
.SILENT := yes
X
# Configuration parameters for DMAKE startup.mk file
# Set these to NON-NULL if you wish to turn the parameter on.
_HAVE_RCS := yes # yes => RCS is installed.
_HAVE_SCCS := yes # yes => SCCS is installed.
X
# Applicable suffix definitions
A := .a # Libraries
E := # Executables
F := .f # Fortran
O := .o # Objects
P := .p # Pascal
S := .s # Assembler sources
V := ,v # RCS suffix
X
# Recipe execution configurations
SHELL := /bin/sh
SHELLFLAGS := -ce
GROUPSHELL := $(SHELL)
GROUPFLAGS :=
SHELLMETAS := |();&<>?*][$$:\\#`'"
GROUPSUFFIX :=
X
# Standard C-language command names and flags
X CPP := /lib/cpp # C-preprocessor
X CC := cc # C-compiler and flags
X CFLAGS =
X
X AS := as # Assembler and flags
X ASFLAGS =
X
X LD = $(CC) # Loader and flags
X LDFLAGS =
X LDLIBS =
X
# Definition of $(MAKE) macro for recursive makes.
X MAKE = $(MAKECMD) $(MFLAGS)
X
# Definition of Print command for this system.
X PRINT = lpr
X
# Language and Parser generation Tools and their flags
X YACC := yacc # standard yacc
X YFLAGS =
X YTAB := y.tab # yacc output files name stem.
X
X LEX := lex # standard lex
X LFLAGS =
X LEXYY := lex.yy # lex output file
X
# Other Compilers, Tools and their flags
X PC := pc # pascal compiler
X RC := f77 # ratfor compiler
X FC := f77 # fortran compiler
X
X CO := co # check out for RCS
X COFLAGS := -q
X
X AR := ar # archiver
X ARFLAGS = ruv
X
X RM := /bin/rm # remove a file command
X RMFLAGS =
X
# Implicit generation rules for making inferences.
# We don't provide .yr or .ye rules here. They're obsolete.
# Rules for making *$O
X %$O : %.c ; $(CC) $(CFLAGS) -c $<
X %$O : %$P ; $(PC) $(PFLAGS) -c $<
X %$O : %$S ; $(AS) $<
X %$O : %.cl ; class -c $<
X %$O : %.e %.r %.F %$F
X $(FC) $(RFLAGS) $(EFLAGS) $(FFLAGS) -c $<
X
# Executables
X %$E : %$O ; $(LD) $(LDFLAGS) -o $@ $< $(LDLIBES)
X
# lex and yacc rules
X %.c : %.y ; $(YACC) $(YFLAGS) $<; mv $(YTAB).c $@
X %.c : %.l ; $(LEX) $(LFLAGS) $<; mv $(LEXYY).c $@
X
# This rule tells how to make *.out from it's immediate list of prerequisites
# UNIX only.
X %.out :; $(LD) $(LDFLAGS) -o $@ $^ $(LDLIBS)
X
# RCS support
.IF $(_HAVE_RCS)
X % : %$V $$(@:d)RCS/$$(@:f)$V;- $(CO) $(COFLAGS) $@
X .NOINFER : %$V $$(@:d)RCS/$$(@:f)$V
.END
X
# SCCS support
.IF $(_HAVE_SCCS)
X % : s.% ; get $@
X .NOINFER : s.%
.END
X
# Recipe to make archive files.
%$A :
[
X $(AR) $(ARFLAGS) $@ $?
X $(RM) $(RMFLAGS) $?
X ranlib $@
]
X
# DMAKE uses this recipe to remove intermediate targets
.REMOVE :; $(RM) -f $<
X
# AUGMAKE extensions for SYSV compatibility
@B = $(@:b)
@D = $(@:d)
@F = $(@:f)
*B = $(*:b)
*D = $(*:d)
*F = $(*:f)
<B = $(<:b)
<D = $(<:d)
<F = $(<:f)
?B = $(?:b)
?F = $(?:f)
?D = $(?:d)
X
# Turn warnings back to previous setting.
.SILENT := $(__.SILENT)
X
# Local startup file if any
.INCLUDE .IGNORE: "_startup.mk"
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/startup.mk ||
echo 'restore of dmake/unix/sysvr4/startup.mk failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/startup.mk'`"
test 3187 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/startup.mk: original size 3187, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/unix/sysvr4/stdarg.h ==============
if test -f 'dmake/unix/sysvr4/stdarg.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/unix/sysvr4/stdarg.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/unix/sysvr4/stdarg.h' &&
/* Some V.4 systems aren't ansi, just to make matters ugly.
X If the dmake sources used another name for this include file,
X then this wouldn't be quite so awful. */
#ifdef __STDC__
#include "/usr/include/stdarg.h"
#else
/*
X * stdarg.h
X *
X * defines ANSI style macros for accessing arguments of a function which takes
X * a variable number of arguments
X *
X */
X
typedef char *va_list;
X
#if defined(sparc)
# define va_alist __builtin_va_alist
#endif
# define va_dcl int va_alist
# define va_start(list,v) list = (char *)&va_alist
# define va_end(list) list = NULL
#if defined(mips)
#define va_arg(list, mode) ((mode *)(list = \
X (char *) (sizeof(mode) > 4 ? ((int)list + 2*8 - 1) & -8 \
X : ((int)list + 2*4 - 1) & -4)))[-1]
#else
# define va_arg(list,mode) ((mode *)(list += sizeof(mode)))[-1]
#endif
#endif
X
SHAR_EOF
chmod 0640 dmake/unix/sysvr4/stdarg.h ||
echo 'restore of dmake/unix/sysvr4/stdarg.h failed'
Wc_c="`wc -c < 'dmake/unix/sysvr4/stdarg.h'`"
test 819 -eq "$Wc_c" ||
echo 'dmake/unix/sysvr4/stdarg.h: original size 819, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/version.h ==============
if test -f 'dmake/version.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/version.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/version.h' &&
/* dmake version number. */
X
#define VERSION "3.70"
SHAR_EOF
chmod 0640 dmake/version.h ||
echo 'restore of dmake/version.h failed'
Wc_c="`wc -c < 'dmake/version.h'`"
test 53 -eq "$Wc_c" ||
echo 'dmake/version.h: original size 53, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/vextern.h ==============
if test -f 'dmake/vextern.h' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/vextern.h (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/vextern.h' &&
/* RCS -- $Header: /u2/dvadura/src/generic/dmake/src/RCS/vextern.h,v 1.1 91/05/06 15:23:39 dvadura Exp $
-- SYNOPSIS -- global variable declarations.
--
-- DESCRIPTION
-- Leave _DEFINE_GLOBALS_ undefined and the following declarations
-- will be defined as global variables, otherwise you get the
-- external declarations to the same global variables.
--
-- AUTHOR
-- Dennis Vadura, dvadura at watdragon.uwaterloo.ca
-- CS DEPT, University of Waterloo, Waterloo, Ont., Canada
--
-- COPYRIGHT
-- Copyright (c) 1990 by Dennis Vadura. All rights reserved.
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- (version 1), as published by the Free Software Foundation, and
-- found in the file 'LICENSE' included with this distribution.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warrant of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--
-- LOG
-- $Log: vextern.h,v $
X * Revision 1.1 91/05/06 15:23:39 dvadura
X * dmake Release Version 3.7
X *
*/
X
/* These two are defined in dir/ruletab.c and dir/dirbrk.c, and are always
X * imported as externals by the other code. Their defining modules do not
X * #include this file. */
extern char* DirBrkStr; /* pointer to value of macro DIRBRKSTR */
extern char** Rule_tab; /* Builtin rules */
X
#ifndef _DEFINE_GLOBALS_
#define EXTERN extern
#else
#define EXTERN
#endif
X
EXTERN int Line_number; /* Current line number in make file parse */
EXTERN t_attr Glob_attr; /* Global attrs to control global ops */
EXTERN char* Prep; /* Value of macro PREP */
EXTERN char* Makedir; /* pointer to macro value for MAKEDIR */
EXTERN char* Start_dir; /* cell for macro value for .SETDIR */
EXTERN char* Shell; /* pointer to macro value for SHELL */
EXTERN char* Shell_flags; /* pointer to macro value for SHELLFLAGS */
EXTERN char* GShell; /* pointer to macro value for GROUPSHELL */
EXTERN char* GShell_flags; /* pointer to macro value for GROUPFLAGS */
EXTERN char* Shell_metas; /* pointer to macro value for SHELLMETAS */
EXTERN char* Grp_suff; /* pointer to macro value for GROUPSUFFIX */
EXTERN char* DirSepStr; /* pointer to macro value for DIRSEPSTR */
EXTERN char* Pname; /* dmake process invoke name */
EXTERN char* Pwd; /* current working dir, value of PWD */
EXTERN char* Tmd; /* path to directory where dmake started */
EXTERN char* Keep_state; /* current .KEEP_STATE file */
EXTERN int Target; /* TRUE if target found in makefile */
EXTERN int If_expand; /* TRUE if calling Expand from getinp.c */
EXTERN int If_multi; /* M_MULTI for expand of single MULTI macs*/
EXTERN int Suppress_temp_file;/* TRUE if doing a test in _exec_recipe */
EXTERN int Readenv; /* TRUE if defining macro from environment*/
EXTERN int Makemkf; /* TRUE if making makefile(s) */
EXTERN int Nest_level; /* Nesting level for .IF .ELSE .END ... */
EXTERN int Def_targets; /* TRUE if defining targets */
X
EXTERN CELLPTR Root; /* Root of the make graph */
X
EXTERN CELLPTR Current_target; /* cell of current target being made */
EXTERN int Wait_for_completion;
EXTERN int Doing_bang;
EXTERN int Packed_shell; /* TRUE if packed args to use a shell */
EXTERN int Swap_on_exec; /* TRUE if going to swap on exec call */
EXTERN int State; /* parser state */
EXTERN int Group; /* parsing a group recipe ==> TRUE */
X
/* Command line option flags are defined here. They correspond one-for one
X * with the flags defined in dmake.c */
X
EXTERN char *Augmake; /* -A */
EXTERN char Comment; /* -c */
EXTERN char Get_env; /* -e or -E */
EXTERN int Continue; /* -k */
EXTERN int Force; /* -u */
EXTERN int Listing; /* -p */
EXTERN int Rules; /* -r */
EXTERN int Trace; /* -n */
EXTERN int Touch; /* -t */
EXTERN int Check; /* -q */
EXTERN uint16 Verbose; /* -v */
EXTERN int Microsoft; /* -M */
EXTERN int Transitive; /* -T */
X
EXTERN HASHPTR Macs[HASH_TABLE_SIZE]; /* hash table for macro defs */
EXTERN HASHPTR Defs[HASH_TABLE_SIZE]; /* hash table for other defs */
X
EXTERN char *Buffer; /* a general purpose buffer */
EXTERN int Buffer_size;
EXTERN int Max_proclmt; /* limit of max # of conc procs */
EXTERN int Max_proc; /* max # of conc procs */
SHAR_EOF
chmod 0640 dmake/vextern.h ||
echo 'restore of dmake/vextern.h failed'
Wc_c="`wc -c < 'dmake/vextern.h'`"
test 4702 -eq "$Wc_c" ||
echo 'dmake/vextern.h: original size 4702, current size' "$Wc_c"
rm -f _shar_wnt_.tmp
fi
# ============= dmake/LICENSE ==============
if test -f 'dmake/LICENSE' -a X"$1" != X"-c"; then
echo 'x - skipping dmake/LICENSE (File already exists)'
rm -f _shar_wnt_.tmp
else
> _shar_wnt_.tmp
sed 's/^X//' << 'SHAR_EOF' > 'dmake/LICENSE' &&
X GNU GENERAL PUBLIC LICENSE
SHAR_EOF
true || echo 'restore of dmake/LICENSE failed'
fi
echo 'End of part 36, continue with part 37'
echo 37 > _shar_seq_.tmp
exit 0
exit 0 # Just in case...
--
Kent Landfield INTERNET: kent at sparky.IMD.Sterling.COM
Sterling Software, IMD UUCP: uunet!sparky!kent
Phone: (402) 291-8300 FAX: (402) 291-4362
Please send comp.sources.misc-related mail to kent at uunet.uu.net.
More information about the Comp.sources.misc
mailing list